Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractDependencyValueMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractDependencyValueMetaData

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode, ValueMetaData

public class AbstractDependencyValueMetaData
extends AbstractValueMetaData

Dependency value.

Version:
  $Revision: 1.11 $
Author:
  Adrian Brock

Field Summary
`protected KernelController` | `controller` The controller
`protected org.jboss.dependency.spi.ControllerState` | `dependentState` The required state of the dependency or null to look in the registry
`protected String` | `property` The property name

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractDependencyValueMetaData()` Create a new dependency value
`AbstractDependencyValueMetaData(Object value)` Create a new dependency value
`AbstractDependencyValueMetaData(Object value, String property)` Create a new dependency value

Method Summary
`org.jboss.dependency.spi.ControllerState` | `getDependentState()`
`Object` | `getValue(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl)` Get the value.
`void` | `setDependentState(org.jboss.dependency.spi.ControllerState dependentState)` Set the required state of the dependency
`void` | `setProperty(String property)` Set the property
`void` | `setValue(Object value)` Set the value
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getChildren, getUnderlyingValue, getValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### controller

    protected KernelController controller

  The controller

### property

    protected String property

  The property name

### dependentState

    protected org.jboss.dependency.spi.ControllerState dependentState

  The required state of the dependency or null to look in the registry

Constructor Detail

### AbstractDependencyValueMetaData

    public AbstractDependencyValueMetaData()

  Create a new dependency value

### AbstractDependencyValueMetaData

    public AbstractDependencyValueMetaData(Object value)

  Create a new dependency value

Parameters:
  `value` - the value

### AbstractDependencyValueMetaData

    public AbstractDependencyValueMetaData(Object value,
                                           String property)

  Create a new dependency value

Parameters:
  `value` - the value
  `property` - the property

Method Detail

### setValue

    public void setValue(Object value)

  Set the value

  Overrides:
    `setValue` in class `AbstractValueMetaData`
  Parameters:
    `value` - the value

### setProperty

    public void setProperty(String property)

  Set the property

  Parameters:
    `property` - the property name

### setDependentState

    public void setDependentState(org.jboss.dependency.spi.ControllerState dependentState)

  Set the required state of the dependency

  Parameters:
    `dependentState` - the required state or null if it must be in the registry

### getDependentState

    public org.jboss.dependency.spi.ControllerState getDependentState()

### getValue

    public Object getValue(org.jboss.reflect.spi.TypeInfo info,
                           ClassLoader cl)
                    throws Throwable

  Description copied from interface: `ValueMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `ValueMetaData`
  Overrides:
    `getValue` in class `AbstractValueMetaData`
  Throws:
    `Throwable`

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Overrides:
    `visit` in class `AbstractValueMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractValueMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.